CompleteResourceProfile (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.shared.types.datamodel
Class CompleteResourceProfile

    java.lang.Object
      org.gcube.resourcemanagement.support.shared.types.datamodel.CompleteResourceProfile

All Implemented Interfaces:
  Serializable

    public class CompleteResourceProfile

extends Object
implements Serializable

The profile of resources is represented by its xml and html representations and its title (the name or the ID) and the type (GHN, RI, ...).

Author:
  Daniele Strollo (ISTI-CNR)
See Also:
  Serialized Form

Constructor Summary
`CompleteResourceProfile()` Deprecated. for serialization only
`CompleteResourceProfile(String ID, ResourceTypeDecorator type, String title, String xmlRepresentation, String htmlRepresentation)`

Method Summary
`String` | `getHtmlRepresentation()`
`String` | `getID()`
`String` | `getTitle()`
`ResourceTypeDecorator` | `getType()`
`String` | `getXmlRepresentation()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompleteResourceProfile

    public CompleteResourceProfile()

  Deprecated. for serialization only

### CompleteResourceProfile

    public CompleteResourceProfile(String ID,
                                   ResourceTypeDecorator type,
                                   String title,
                                   String xmlRepresentation,
                                   String htmlRepresentation)

Method Detail

### getXmlRepresentation

    public String getXmlRepresentation()

### getHtmlRepresentation

    public String getHtmlRepresentation()

### getType

    public ResourceTypeDecorator getType()

### getTitle

    public String getTitle()

### getID

    public String getID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.